<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Traits\CsvImportTrait;
use App\Http\Requests\MassDestroyEsealtrackingRequest;
use App\Http\Requests\StoreEsealtrackingRequest;
use App\Http\Requests\UpdateEsealtrackingRequest;
use App\Models\Esealtracking;
use App\Models\Export;
use Gate;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use DB;

class EsealtrackingController extends Controller
{
    use CsvImportTrait;

    public function index(Request $request)
    {
       // abort_if(Gate::denies('esealtracking_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');
/*        $today_date = date("Y-m-d");
        if(isset($request->from_date))
        {
            $from_date  = $request->from_date;
            $to_date  = $request->from_date;
        }else{
            $from_date  = $today_date;
            $to_date  = $today_date;
         }*/
/* $esealtrackings = Export::whereBetween('sealing_date',[$from_date,$to_date])->get();*/
        $esealtrackings = Export::get();

        return view('admin.esealtrackings.index', compact('esealtrackings'));
        
    }


    public function create()
    {
        abort_if(Gate::denies('esealtracking_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.esealtrackings.create');
    }

    public function store(StoreEsealtrackingRequest $request)
    {
        $esealtracking = Esealtracking::create($request->all());

        return redirect()->route('admin.esealtrackings.index');
    }

    public function edit(Esealtracking $esealtracking)
    {
        abort_if(Gate::denies('esealtracking_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.esealtrackings.edit', compact('esealtracking'));
    }

    public function update(UpdateEsealtrackingRequest $request, Esealtracking $esealtracking)
    {
        $esealtracking->update($request->all());

        return redirect()->route('admin.esealtrackings.index');
    }

    public function show(Esealtracking $esealtracking)
    {
        abort_if(Gate::denies('esealtracking_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.esealtrackings.show', compact('esealtracking'));
    }

    public function destroy(Esealtracking $esealtracking)
    {
        abort_if(Gate::denies('esealtracking_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $esealtracking->delete();

        return back();
    }

    public function massDestroy(MassDestroyEsealtrackingRequest $request)
    {
        Esealtracking::whereIn('id', request('ids'))->delete();

        return response(null, Response::HTTP_NO_CONTENT);
    }
    public function exportdaterange (Request $request)
    {
       // return "hao";
         if($request->ajax())
         {
          if($request->from_date != '' && $request->to_date != '')
          {
             $data = Export::with(['destination_custom', 'eseal', 'container_size', 'team'])->whereBetween('sealing_date', array($request->from_date, $request->to_date))->get();
       /*    return $data = DB::table('exports')
             ->whereBetween('sealing_date', array($request->from_date, $request->to_date))
             ->get();*/
          }
          else
          {
           $data = DB::table('sealing_date')->orderBy('date', 'desc')->get();
          }
          echo json_encode($data);
         }
    }
}
