<?php

namespace App\Http\Requests;

use App\Models\AddBranch;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreAddBranchRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('add_branch_create');
    }

    public function rules()
    {
        return [
            'branch_name' => [
                'string',
                'required',
            ],
            'state_id' => [
                'required',
                'integer',
            ],
            'city_id' => [
                'required',
                'integer',
            ],
            'gst' => [
                'required',
            ],
        ];
    }
}
