<?php

namespace App\Http\Requests;

use App\Models\Order;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreOrderRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('order_create');
    }

    public function rules()
    {
        return [
            'requester_name' => [
                'string',
                'required',
            ],
            'requester_contact_no' => [
                'string',
                'required',
            ],
            'number_of_e_seals' => [
                'string',
                'required',
            ],
            'postal_code' => [
                'string',
                'nullable',
            ],
            'state_id' => [
                'required',
                'integer',
            ],
            'city_id' => [
                'required',
                'integer',
            ],
            'mode_of_payment' => [
                'required',
            ],
            'expected_date' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
        ];
    }
}
