<?php

namespace App\Http\Requests;

use App\Models\Seal;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreSealRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('seal_create');
    }

    public function rules()
    {
        return [
            'sn' => [
                'string',
                'nullable',
            ],
            'tid' => [
                'string',
                'nullable',
            ],
            'epc' => [
                'string',
                'nullable',
            ],
            'ex' => [
                'string',
                'nullable',
            ],
            'reach_time' => [
                'date_format:' . config('panel.time_format'),
                'nullable',
            ],
            'used' => [
                'nullable',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
        ];
    }
}
