<?php

namespace App\Http\Requests;

use App\Models\Export;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateExportRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('export_edit');
    }

    public function rules()
    {
        return [
            'trailer_reg_number' => [
                'string',
                'required',
            ],
            'driver_license' => [
                'string',
                'required',
            ],
            'driver_name' => [
                'string',
                'required',
            ],
            'container_number' => [
                'string',
                'nullable',
            ],
            'terminal_document' => [
                'string',
                'nullable',
            ],
            'eseal_id' => [
                'required',
                'integer',
            ],
            'shipping_bill' => [
                'string',
                'nullable',
            ],
            'sealing_date' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'shipping_date' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
        ];
    }
}
