<?php

namespace App\Http\Requests;

use App\Models\User;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateUserRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('user_edit');
    }

    public function rules()
    {
        return [
            'name' => [
                'string',
                'required',
            ],
            'email' => [
                'required',
                'unique:users,email,' . request()->route('user')->id,
            ],
            'roles.*' => [
                'integer',
            ],
            'roles' => [
                'required',
                'array',
            ],
            'aadhaar' => [
                'string',
                'required',
            ],
            'mobile_number' => [
                'string',
                'required',
            ],
            'import_export_code' => [
                'string',
                'required',
            ],
            'exporter_company_name' => [
                'string',
                'required',
            ],
            'contact_mobile_no' => [
                'string',
                'required',
            ],
            'gst_number' => [
                'string',
                'nullable',
            ],
            'pan_number' => [
                'string',
                'nullable',
            ],
            'address' => [
                'required',
            ],
            'postal_code' => [
                'string',
                'nullable',
            ],
            'self_sealing_approval_no' => [
                'string',
                'required',
            ],
            'self_sealing_approval_date' => [
                'string',
                'required',
            ],
            'self_sealing_approved_by' => [
                'string',
                'required',
            ],
        ];
    }
}
