<?php

namespace Database\Seeders;

use App\Models\Permission;
use Illuminate\Database\Seeder;

class PermissionsTableSeeder extends Seeder
{
    public function run()
    {
        $permissions = [
            [
                'id'    => 1,
                'title' => 'user_management_access',
            ],
            [
                'id'    => 2,
                'title' => 'permission_create',
            ],
            [
                'id'    => 3,
                'title' => 'permission_edit',
            ],
            [
                'id'    => 4,
                'title' => 'permission_show',
            ],
            [
                'id'    => 5,
                'title' => 'permission_delete',
            ],
            [
                'id'    => 6,
                'title' => 'permission_access',
            ],
            [
                'id'    => 7,
                'title' => 'role_create',
            ],
            [
                'id'    => 8,
                'title' => 'role_edit',
            ],
            [
                'id'    => 9,
                'title' => 'role_show',
            ],
            [
                'id'    => 10,
                'title' => 'role_delete',
            ],
            [
                'id'    => 11,
                'title' => 'role_access',
            ],
            [
                'id'    => 12,
                'title' => 'user_create',
            ],
            [
                'id'    => 13,
                'title' => 'user_edit',
            ],
            [
                'id'    => 14,
                'title' => 'user_show',
            ],
            [
                'id'    => 15,
                'title' => 'user_delete',
            ],
            [
                'id'    => 16,
                'title' => 'user_access',
            ],
            [
                'id'    => 17,
                'title' => 'port_create',
            ],
            [
                'id'    => 18,
                'title' => 'port_edit',
            ],
            [
                'id'    => 19,
                'title' => 'port_show',
            ],
            [
                'id'    => 20,
                'title' => 'port_delete',
            ],
            [
                'id'    => 21,
                'title' => 'port_access',
            ],
            [
                'id'    => 22,
                'title' => 'registered_exporter_create',
            ],
            [
                'id'    => 23,
                'title' => 'registered_exporter_edit',
            ],
            [
                'id'    => 24,
                'title' => 'registered_exporter_show',
            ],
            [
                'id'    => 25,
                'title' => 'registered_exporter_delete',
            ],
            [
                'id'    => 26,
                'title' => 'registered_exporter_access',
            ],
            [
                'id'    => 27,
                'title' => 'esealtracking_create',
            ],
            [
                'id'    => 28,
                'title' => 'esealtracking_edit',
            ],
            [
                'id'    => 29,
                'title' => 'esealtracking_show',
            ],
            [
                'id'    => 30,
                'title' => 'esealtracking_delete',
            ],
            [
                'id'    => 31,
                'title' => 'esealtracking_access',
            ],
            [
                'id'    => 32,
                'title' => 'report_access',
            ],
            [
                'id'    => 33,
                'title' => 'setting_access',
            ],
            [
                'id'    => 34,
                'title' => 'state_create',
            ],
            [
                'id'    => 35,
                'title' => 'state_edit',
            ],
            [
                'id'    => 36,
                'title' => 'state_show',
            ],
            [
                'id'    => 37,
                'title' => 'state_delete',
            ],
            [
                'id'    => 38,
                'title' => 'state_access',
            ],
            [
                'id'    => 39,
                'title' => 'city_create',
            ],
            [
                'id'    => 40,
                'title' => 'city_edit',
            ],
            [
                'id'    => 41,
                'title' => 'city_show',
            ],
            [
                'id'    => 42,
                'title' => 'city_delete',
            ],
            [
                'id'    => 43,
                'title' => 'city_access',
            ],
            [
                'id'    => 44,
                'title' => 'order_create',
            ],
            [
                'id'    => 45,
                'title' => 'order_edit',
            ],
            [
                'id'    => 46,
                'title' => 'order_show',
            ],
            [
                'id'    => 47,
                'title' => 'order_delete',
            ],
            [
                'id'    => 48,
                'title' => 'order_access',
            ],
            [
                'id'    => 49,
                'title' => 'seal_create',
            ],
            [
                'id'    => 50,
                'title' => 'seal_edit',
            ],
            [
                'id'    => 51,
                'title' => 'seal_show',
            ],
            [
                'id'    => 52,
                'title' => 'seal_delete',
            ],
            [
                'id'    => 53,
                'title' => 'seal_access',
            ],
            [
                'id'    => 54,
                'title' => 'export_create',
            ],
            [
                'id'    => 55,
                'title' => 'export_edit',
            ],
            [
                'id'    => 56,
                'title' => 'export_show',
            ],
            [
                'id'    => 57,
                'title' => 'export_delete',
            ],
            [
                'id'    => 58,
                'title' => 'export_access',
            ],
            [
                'id'    => 59,
                'title' => 'container_size_create',
            ],
            [
                'id'    => 60,
                'title' => 'container_size_edit',
            ],
            [
                'id'    => 61,
                'title' => 'container_size_show',
            ],
            [
                'id'    => 62,
                'title' => 'container_size_delete',
            ],
            [
                'id'    => 63,
                'title' => 'container_size_access',
            ],
            [
                'id'    => 64,
                'title' => 'team_create',
            ],
            [
                'id'    => 65,
                'title' => 'team_edit',
            ],
            [
                'id'    => 66,
                'title' => 'team_show',
            ],
            [
                'id'    => 67,
                'title' => 'team_delete',
            ],
            [
                'id'    => 68,
                'title' => 'team_access',
            ],
            [
                'id'    => 69,
                'title' => 'user_alert_create',
            ],
            [
                'id'    => 70,
                'title' => 'user_alert_show',
            ],
            [
                'id'    => 71,
                'title' => 'user_alert_delete',
            ],
            [
                'id'    => 72,
                'title' => 'user_alert_access',
            ],
            [
                'id'    => 73,
                'title' => 'suplier_create',
            ],
            [
                'id'    => 74,
                'title' => 'suplier_edit',
            ],
            [
                'id'    => 75,
                'title' => 'suplier_show',
            ],
            [
                'id'    => 76,
                'title' => 'suplier_delete',
            ],
            [
                'id'    => 77,
                'title' => 'suplier_access',
            ],
            [
                'id'    => 78,
                'title' => 'expense_management_access',
            ],
            [
                'id'    => 79,
                'title' => 'expense_category_create',
            ],
            [
                'id'    => 80,
                'title' => 'expense_category_edit',
            ],
            [
                'id'    => 81,
                'title' => 'expense_category_show',
            ],
            [
                'id'    => 82,
                'title' => 'expense_category_delete',
            ],
            [
                'id'    => 83,
                'title' => 'expense_category_access',
            ],
            [
                'id'    => 84,
                'title' => 'income_category_create',
            ],
            [
                'id'    => 85,
                'title' => 'income_category_edit',
            ],
            [
                'id'    => 86,
                'title' => 'income_category_show',
            ],
            [
                'id'    => 87,
                'title' => 'income_category_delete',
            ],
            [
                'id'    => 88,
                'title' => 'income_category_access',
            ],
            [
                'id'    => 89,
                'title' => 'expense_create',
            ],
            [
                'id'    => 90,
                'title' => 'expense_edit',
            ],
            [
                'id'    => 91,
                'title' => 'expense_show',
            ],
            [
                'id'    => 92,
                'title' => 'expense_delete',
            ],
            [
                'id'    => 93,
                'title' => 'expense_access',
            ],
            [
                'id'    => 94,
                'title' => 'income_create',
            ],
            [
                'id'    => 95,
                'title' => 'income_edit',
            ],
            [
                'id'    => 96,
                'title' => 'income_show',
            ],
            [
                'id'    => 97,
                'title' => 'income_delete',
            ],
            [
                'id'    => 98,
                'title' => 'income_access',
            ],
            [
                'id'    => 99,
                'title' => 'expense_report_create',
            ],
            [
                'id'    => 100,
                'title' => 'expense_report_edit',
            ],
            [
                'id'    => 101,
                'title' => 'expense_report_show',
            ],
            [
                'id'    => 102,
                'title' => 'expense_report_delete',
            ],
            [
                'id'    => 103,
                'title' => 'expense_report_access',
            ],
            [
                'id'    => 104,
                'title' => 'task_management_access',
            ],
            [
                'id'    => 105,
                'title' => 'task_status_create',
            ],
            [
                'id'    => 106,
                'title' => 'task_status_edit',
            ],
            [
                'id'    => 107,
                'title' => 'task_status_show',
            ],
            [
                'id'    => 108,
                'title' => 'task_status_delete',
            ],
            [
                'id'    => 109,
                'title' => 'task_status_access',
            ],
            [
                'id'    => 110,
                'title' => 'task_tag_create',
            ],
            [
                'id'    => 111,
                'title' => 'task_tag_edit',
            ],
            [
                'id'    => 112,
                'title' => 'task_tag_show',
            ],
            [
                'id'    => 113,
                'title' => 'task_tag_delete',
            ],
            [
                'id'    => 114,
                'title' => 'task_tag_access',
            ],
            [
                'id'    => 115,
                'title' => 'task_create',
            ],
            [
                'id'    => 116,
                'title' => 'task_edit',
            ],
            [
                'id'    => 117,
                'title' => 'task_show',
            ],
            [
                'id'    => 118,
                'title' => 'task_delete',
            ],
            [
                'id'    => 119,
                'title' => 'task_access',
            ],
            [
                'id'    => 120,
                'title' => 'tasks_calendar_access',
            ],
            [
                'id'    => 121,
                'title' => 'branch_create',
            ],
            [
                'id'    => 122,
                'title' => 'branch_edit',
            ],
            [
                'id'    => 123,
                'title' => 'branch_show',
            ],
            [
                'id'    => 124,
                'title' => 'branch_delete',
            ],
            [
                'id'    => 125,
                'title' => 'branch_access',
            ],
            [
                'id'    => 126,
                'title' => 'add_branch_create',
            ],
            [
                'id'    => 127,
                'title' => 'add_branch_edit',
            ],
            [
                'id'    => 128,
                'title' => 'add_branch_show',
            ],
            [
                'id'    => 129,
                'title' => 'add_branch_delete',
            ],
            [
                'id'    => 130,
                'title' => 'add_branch_access',
            ],
            [
                'id'    => 131,
                'title' => 'profile_password_edit',
            ],
        ];

        Permission::insert($permissions);
    }
}
