@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.esealtracking.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.esealtrackings.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label class="required" for="truckno">{{ trans('cruds.esealtracking.fields.truckno') }}</label>
                <input class="form-control {{ $errors->has('truckno') ? 'is-invalid' : '' }}" type="text" name="truckno" id="truckno" value="{{ old('truckno', '') }}" required>
                @if($errors->has('truckno'))
                    <div class="invalid-feedback">
                        {{ $errors->first('truckno') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.truckno_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="container_no">{{ trans('cruds.esealtracking.fields.container_no') }}</label>
                <input class="form-control {{ $errors->has('container_no') ? 'is-invalid' : '' }}" type="text" name="container_no" id="container_no" value="{{ old('container_no', '') }}" required>
                @if($errors->has('container_no'))
                    <div class="invalid-feedback">
                        {{ $errors->first('container_no') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.container_no_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="size">{{ trans('cruds.esealtracking.fields.size') }}</label>
                <input class="form-control {{ $errors->has('size') ? 'is-invalid' : '' }}" type="text" name="size" id="size" value="{{ old('size', '') }}" required>
                @if($errors->has('size'))
                    <div class="invalid-feedback">
                        {{ $errors->first('size') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.size_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="eseal_no">{{ trans('cruds.esealtracking.fields.eseal_no') }}</label>
                <input class="form-control {{ $errors->has('eseal_no') ? 'is-invalid' : '' }}" type="text" name="eseal_no" id="eseal_no" value="{{ old('eseal_no', '') }}" required>
                @if($errors->has('eseal_no'))
                    <div class="invalid-feedback">
                        {{ $errors->first('eseal_no') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.eseal_no_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="shipping_bill">{{ trans('cruds.esealtracking.fields.shipping_bill') }}</label>
                <input class="form-control {{ $errors->has('shipping_bill') ? 'is-invalid' : '' }}" type="text" name="shipping_bill" id="shipping_bill" value="{{ old('shipping_bill', '') }}" required>
                @if($errors->has('shipping_bill'))
                    <div class="invalid-feedback">
                        {{ $errors->first('shipping_bill') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.shipping_bill_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="shipping_date">{{ trans('cruds.esealtracking.fields.shipping_date') }}</label>
                <input class="form-control {{ $errors->has('shipping_date') ? 'is-invalid' : '' }}" type="text" name="shipping_date" id="shipping_date" value="{{ old('shipping_date', '') }}" required>
                @if($errors->has('shipping_date'))
                    <div class="invalid-feedback">
                        {{ $errors->first('shipping_date') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.shipping_date_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="sealing_date">{{ trans('cruds.esealtracking.fields.sealing_date') }}</label>
                <input class="form-control date {{ $errors->has('sealing_date') ? 'is-invalid' : '' }}" type="text" name="sealing_date" id="sealing_date" value="{{ old('sealing_date') }}">
                @if($errors->has('sealing_date'))
                    <div class="invalid-feedback">
                        {{ $errors->first('sealing_date') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.sealing_date_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="custodian_name">{{ trans('cruds.esealtracking.fields.custodian_name') }}</label>
                <input class="form-control {{ $errors->has('custodian_name') ? 'is-invalid' : '' }}" type="text" name="custodian_name" id="custodian_name" value="{{ old('custodian_name', '') }}" required>
                @if($errors->has('custodian_name'))
                    <div class="invalid-feedback">
                        {{ $errors->first('custodian_name') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.custodian_name_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="reach_time">{{ trans('cruds.esealtracking.fields.reach_time') }}</label>
                <input class="form-control {{ $errors->has('reach_time') ? 'is-invalid' : '' }}" type="text" name="reach_time" id="reach_time" value="{{ old('reach_time', '') }}">
                @if($errors->has('reach_time'))
                    <div class="invalid-feedback">
                        {{ $errors->first('reach_time') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.reach_time_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="status">{{ trans('cruds.esealtracking.fields.status') }}</label>
                <input class="form-control {{ $errors->has('status') ? 'is-invalid' : '' }}" type="text" name="status" id="status" value="{{ old('status', '') }}">
                @if($errors->has('status'))
                    <div class="invalid-feedback">
                        {{ $errors->first('status') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.status_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="remark">{{ trans('cruds.esealtracking.fields.remark') }}</label>
                <input class="form-control {{ $errors->has('remark') ? 'is-invalid' : '' }}" type="text" name="remark" id="remark" value="{{ old('remark', '') }}">
                @if($errors->has('remark'))
                    <div class="invalid-feedback">
                        {{ $errors->first('remark') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.esealtracking.fields.remark_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection