@extends('layouts.admin')
@section('content')
<div class="content">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    Dashboard
                </div>

                <div class="card-body">
                    @if(session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    <div class="row">
                        <div class="{{ $settings1['column_class'] }}">
                            <div class="card text-white bg-success">
                                <div class="card-body pb-0">
                                   <a href="{{ route("admin.orders.index") }}"  > <div class="text-value">{{ number_format($settings1['total_number']) }}</div></a>
                                    <div><a href="{{ route("admin.orders.index") }}" >{{ $settings1['chart_title'] }}</a></div>
                                    <br />
                                </div>
                            </div>
                        </div>
                        @if($role_id == 3)
                        <div class="{{ $settings2['column_class'] }}">
                            <div class="card text-white bg-warning">
                                <div class="card-body pb-0">
                                    <div class="text-value"><a href="{{ route("admin.exports.index") }}">{{ number_format($settings2['total_number']) }}</a></div>
                                    <div> <a href="{{ route("admin.exports.index") }}">{{ $settings2['chart_title'] }}</a></div>
                                    <br />
                                </div>
                            </div>
                        </div>
                        @endif
                        <div class="{{ $settings3['column_class'] }}">
                            <div class="card text-white bg-info">
                                <div class="card-body pb-0">
                                    <div class="text-value"> <a href="{{ route("admin.esealtrackings.index") }}">{{ number_format($settings3['total_number']) }}</a></div>
                                    <div> <a href="{{ route("admin.esealtrackings.index") }}">{{ $settings3['chart_title'] }}</a></div>
                                    <br />
                                </div>
                            </div>
                        </div>
<!--                         <div class="{{ $settings4['column_class'] }}">
                            <div class="card text-white bg-primary">
                                <div class="card-body pb-0">
                                    <div class="text-value">{{ number_format($settings4['total_number']) }}</div>
                                    <div>{{ $settings4['chart_title'] }}</div>
                                    <br />
                                </div>
                            </div>
                        </div> -->
                        @if($role_id == 1)
                        <div class="{{ $settings7['column_class'] }}">
                            <div class="card text-white bg-primary">
                                <div class="card-body pb-0">
                                    <div class="text-value">{{ number_format($settings7['total_number']) }}</div>
                                    <div>{{ $settings7['chart_title'] }}</div>
                                    <br />
                                </div>
                            </div>
                        </div>
                        @endif
                        <div class="{{ $chart5->options['column_class'] }}">
                            <h3>{!! $chart5->options['chart_title'] !!}</h3>
                            {!! $chart5->renderHtml() !!}
                        </div>
                        <div class="{{ $chart6->options['column_class'] }}">
                            <h3>{!! $chart6->options['chart_title'] !!}</h3>
                            {!! $chart6->renderHtml() !!}
                        </div>
 <!--                        <div class="{{ $settings7['column_class'] }}">
                            <div class="card text-white bg-primary">
                                <div class="card-body pb-0">
                                    <div class="text-value">{{ number_format($settings7['total_number']) }}</div>
                                    <div>{{ $settings7['chart_title'] }}</div>
                                    <br />
                                </div>
                            </div>
                        </div> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('scripts')
@parent
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>{!! $chart5->renderJs() !!}{!! $chart6->renderJs() !!}
@endsection