<?php $__env->startSection('content'); ?>

<div class="card">
    <div class="card-header">
        <?php echo e(trans('global.create')); ?> <?php echo e(trans('cruds.export.title_singular')); ?>

    </div>

    <div class="card-body">
        <form method="POST" action="<?php echo e(route("admin.exports.store")); ?>" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label class="required" for="trailer_reg_number"><?php echo e(trans('cruds.export.fields.trailer_reg_number')); ?></label>
                <input class="form-control <?php echo e($errors->has('trailer_reg_number') ? 'is-invalid' : ''); ?>" type="text" name="trailer_reg_number" id="trailer_reg_number" value="<?php echo e(old('trailer_reg_number', '')); ?>" required>
                <?php if($errors->has('trailer_reg_number')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('trailer_reg_number')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.trailer_reg_number_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="driver_license"><?php echo e(trans('cruds.export.fields.driver_license')); ?></label>
                <input class="form-control <?php echo e($errors->has('driver_license') ? 'is-invalid' : ''); ?>" type="text" name="driver_license" id="driver_license" value="<?php echo e(old('driver_license', '')); ?>" required>
                <?php if($errors->has('driver_license')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('driver_license')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.driver_license_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="driver_name"><?php echo e(trans('cruds.export.fields.driver_name')); ?></label>
                <input class="form-control <?php echo e($errors->has('driver_name') ? 'is-invalid' : ''); ?>" type="text" name="driver_name" id="driver_name" value="<?php echo e(old('driver_name', '')); ?>" required>
                <?php if($errors->has('driver_name')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('driver_name')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.driver_name_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="container_number"><?php echo e(trans('cruds.export.fields.container_number')); ?></label>
                <input class="form-control <?php echo e($errors->has('container_number') ? 'is-invalid' : ''); ?>" type="text" name="container_number" id="container_number" value="<?php echo e(old('container_number', '')); ?>">
                <?php if($errors->has('container_number')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('container_number')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.container_number_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="terminal_document"><?php echo e(trans('cruds.export.fields.terminal_document')); ?></label>
                <input class="form-control <?php echo e($errors->has('terminal_document') ? 'is-invalid' : ''); ?>" type="text" name="terminal_document" id="terminal_document" value="<?php echo e(old('terminal_document', '')); ?>">
                <?php if($errors->has('terminal_document')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('terminal_document')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.terminal_document_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="destination_custom_id"><?php echo e(trans('cruds.export.fields.destination_custom')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('destination_custom') ? 'is-invalid' : ''); ?>" name="destination_custom_id" id="destination_custom_id">
                    <?php $__currentLoopData = $destination_customs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e(old('destination_custom_id') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('destination_custom')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('destination_custom')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.destination_custom_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="eseal_id"><?php echo e(trans('cruds.export.fields.eseal')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('eseal') ? 'is-invalid' : ''); ?>" name="eseal_id" id="eseal_id" required>
                    <?php $__currentLoopData = $eseals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e(old('eseal_id') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('eseal')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('eseal')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.eseal_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="shipping_bill"><?php echo e(trans('cruds.export.fields.shipping_bill')); ?></label>
                <input class="form-control <?php echo e($errors->has('shipping_bill') ? 'is-invalid' : ''); ?>" type="text" name="shipping_bill" id="shipping_bill" value="<?php echo e(old('shipping_bill', '')); ?>">
                <?php if($errors->has('shipping_bill')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('shipping_bill')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.shipping_bill_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="sealing_date"><?php echo e(trans('cruds.export.fields.sealing_date')); ?></label>
                <input class="form-control date <?php echo e($errors->has('sealing_date') ? 'is-invalid' : ''); ?>" type="text" name="sealing_date" id="sealing_date" value="<?php echo e(old('sealing_date')); ?>" required>
                <?php if($errors->has('sealing_date')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('sealing_date')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.sealing_date_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="shipping_date"><?php echo e(trans('cruds.export.fields.shipping_date')); ?></label>
                <input class="form-control date <?php echo e($errors->has('shipping_date') ? 'is-invalid' : ''); ?>" type="text" name="shipping_date" id="shipping_date" value="<?php echo e(old('shipping_date')); ?>" required>
                <?php if($errors->has('shipping_date')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('shipping_date')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.shipping_date_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="container_size_id"><?php echo e(trans('cruds.export.fields.container_size')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('container_size') ? 'is-invalid' : ''); ?>" name="container_size_id" id="container_size_id">
                    <?php $__currentLoopData = $container_sizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e(old('container_size_id') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('container_size')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('container_size')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.export.fields.container_size_helper')); ?></span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    <?php echo e(trans('global.save')); ?>

                </button>
            </div>
        </form>
    </div>
</div>



<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\havishhh\resources\views/admin/exports/create.blade.php ENDPATH**/ ?>