
<?php $__env->startSection('content'); ?>

<div class="card">
    <div class="card-header">
        <?php echo e(trans('global.create')); ?> <?php echo e(trans('cruds.user.title_singular')); ?>

    </div>

    <div class="card-body">
        <form method="POST" action="<?php echo e(route("admin.users.store")); ?>" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label class="required" for="name"><?php echo e(trans('cruds.user.fields.name')); ?></label>
                <input class="form-control <?php echo e($errors->has('name') ? 'is-invalid' : ''); ?>" type="text" name="name" id="name" value="<?php echo e(old('name', '')); ?>" required>
                <?php if($errors->has('name')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('name')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.name_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="email"><?php echo e(trans('cruds.user.fields.email')); ?></label>
                <input class="form-control <?php echo e($errors->has('email') ? 'is-invalid' : ''); ?>" type="email" name="email" id="email" value="<?php echo e(old('email')); ?>" required>
                <?php if($errors->has('email')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('email')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.email_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="password"><?php echo e(trans('cruds.user.fields.password')); ?></label>
                <input class="form-control <?php echo e($errors->has('password') ? 'is-invalid' : ''); ?>" type="password" name="password" id="password" required>
                <?php if($errors->has('password')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('password')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.password_helper')); ?></span>
            </div>
            <div class="form-group">
                <div class="form-check <?php echo e($errors->has('approved') ? 'is-invalid' : ''); ?>">
                    <input type="hidden" name="approved" value="0">
                    <input class="form-check-input" type="checkbox" name="approved" id="approved" value="1" <?php echo e(old('approved', 0) == 1 ? 'checked' : ''); ?>>
                    <label class="form-check-label" for="approved"><?php echo e(trans('cruds.user.fields.approved')); ?></label>
                </div>
                <?php if($errors->has('approved')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('approved')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.approved_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="aadhaar"><?php echo e(trans('cruds.user.fields.aadhaar')); ?></label>
                <input class="form-control <?php echo e($errors->has('aadhaar') ? 'is-invalid' : ''); ?>" type="text" name="aadhaar" id="aadhaar" value="<?php echo e(old('aadhaar', '')); ?>" required>
                <?php if($errors->has('aadhaar')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('aadhaar')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.aadhaar_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="mobile_number"><?php echo e(trans('cruds.user.fields.mobile_number')); ?></label>
                <input class="form-control <?php echo e($errors->has('mobile_number') ? 'is-invalid' : ''); ?>" type="text" name="mobile_number" id="mobile_number" value="<?php echo e(old('mobile_number', '')); ?>" required>
                <?php if($errors->has('mobile_number')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('mobile_number')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.mobile_number_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="team_id"><?php echo e(trans('cruds.user.fields.team')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('team') ? 'is-invalid' : ''); ?>" name="team_id" id="team_id">
                    <?php $__currentLoopData = $teams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e(old('team_id') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('team')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('team')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.team_helper')); ?></span>
            </div>
            <input type="hidden" name="roles[]" value="4">
            <input type="hidden" name="exporter_id" value="<?php echo e($userId); ?>">
            <input type="hidden" name="exporter_company_name" value="NULL">
            <input type="hidden" name="contact_mobile_no" value="NULL">
            <input type="hidden" name="address" value="NULL">
            <input type="hidden" name="self_sealing_approval_no" value="NULL">
            <input type="hidden" name="self_sealing_approval_date" value="2021-09-28">
            <input type="hidden" name="self_sealing_approved_by" value="NULL">
            <input type="hidden" name="import_export_code" value="NULL">
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    <?php echo e(trans('global.save')); ?>

                </button>
            </div>
        </form>
    </div>
</div>



<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\havishhh\resources\views/admin/users/user.blade.php ENDPATH**/ ?>