<?php $__env->startSection('content'); ?>

<div class="card">
    <div class="card-header">
        <?php echo e(trans('global.edit')); ?> <?php echo e(trans('cruds.user.title_singular')); ?>

    </div>

    <div class="card-body">
        <form method="POST" action="<?php echo e(route("admin.users.update", [$user->id])); ?>" enctype="multipart/form-data">
            <?php echo method_field('PUT'); ?>
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label class="required" for="name"><?php echo e(trans('cruds.user.fields.name')); ?></label>
                <input class="form-control <?php echo e($errors->has('name') ? 'is-invalid' : ''); ?>" type="text" name="name" id="name" value="<?php echo e(old('name', $user->name)); ?>" required>
                <?php if($errors->has('name')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('name')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.name_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="email"><?php echo e(trans('cruds.user.fields.email')); ?></label>
                <input class="form-control <?php echo e($errors->has('email') ? 'is-invalid' : ''); ?>" type="email" name="email" id="email" value="<?php echo e(old('email', $user->email)); ?>" required>
                <?php if($errors->has('email')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('email')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.email_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="password"><?php echo e(trans('cruds.user.fields.password')); ?></label>
                <input class="form-control <?php echo e($errors->has('password') ? 'is-invalid' : ''); ?>" type="password" name="password" id="password">
                <?php if($errors->has('password')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('password')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.password_helper')); ?></span>
            </div>
            <div class="form-group">
                <div class="form-check <?php echo e($errors->has('approved') ? 'is-invalid' : ''); ?>">
                    <input type="hidden" name="approved" value="0">
                    <input class="form-check-input" type="checkbox" name="approved" id="approved" value="1" <?php echo e($user->approved || old('approved', 0) === 1 ? 'checked' : ''); ?>>
                    <label class="form-check-label" for="approved"><?php echo e(trans('cruds.user.fields.approved')); ?></label>
                </div>
                <?php if($errors->has('approved')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('approved')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.approved_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="roles"><?php echo e(trans('cruds.user.fields.roles')); ?></label>
                <div style="padding-bottom: 4px">
                    <span class="btn btn-info btn-xs select-all" style="border-radius: 0"><?php echo e(trans('global.select_all')); ?></span>
                    <span class="btn btn-info btn-xs deselect-all" style="border-radius: 0"><?php echo e(trans('global.deselect_all')); ?></span>
                </div>
                <select class="form-control select2 <?php echo e($errors->has('roles') ? 'is-invalid' : ''); ?>" name="roles[]" id="roles" multiple required>
                    <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e((in_array($id, old('roles', [])) || $user->roles->contains($id)) ? 'selected' : ''); ?>><?php echo e($role); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('roles')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('roles')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.roles_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="aadhaar"><?php echo e(trans('cruds.user.fields.aadhaar')); ?></label>
                <input class="form-control <?php echo e($errors->has('aadhaar') ? 'is-invalid' : ''); ?>" type="text" name="aadhaar" id="aadhaar" value="<?php echo e(old('aadhaar', $user->aadhaar)); ?>" required>
                <?php if($errors->has('aadhaar')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('aadhaar')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.aadhaar_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="mobile_number"><?php echo e(trans('cruds.user.fields.mobile_number')); ?></label>
                <input class="form-control <?php echo e($errors->has('mobile_number') ? 'is-invalid' : ''); ?>" type="text" name="mobile_number" id="mobile_number" value="<?php echo e(old('mobile_number', $user->mobile_number)); ?>" required>
                <?php if($errors->has('mobile_number')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('mobile_number')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.mobile_number_helper')); ?></span>
            </div>
           <?php
          if($role_id == 1){
           ?>
            <div class="form-group">
                <label for="exporter_id"><?php echo e(trans('cruds.user.fields.exporter')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('exporter') ? 'is-invalid' : ''); ?>" name="exporter_id" id="exporter_id">
                    <?php $__currentLoopData = $exporters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e((old('exporter_id') ? old('exporter_id') : $user->exporter->id ?? '') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('exporter')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('exporter')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.exporter_helper')); ?></span>
            </div>
           
            <div class="form-group">
                <label class="required" for="import_export_code"><?php echo e(trans('cruds.user.fields.import_export_code')); ?></label>
                <input class="form-control <?php echo e($errors->has('import_export_code') ? 'is-invalid' : ''); ?>" type="text" name="import_export_code" id="import_export_code" value="<?php echo e(old('import_export_code', $user->import_export_code)); ?>" required>
                <?php if($errors->has('import_export_code')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('import_export_code')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.import_export_code_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="exporter_company_name"><?php echo e(trans('cruds.user.fields.exporter_company_name')); ?></label>
                <input class="form-control <?php echo e($errors->has('exporter_company_name') ? 'is-invalid' : ''); ?>" type="text" name="exporter_company_name" id="exporter_company_name" value="<?php echo e(old('exporter_company_name', $user->exporter_company_name)); ?>" required>
                <?php if($errors->has('exporter_company_name')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('exporter_company_name')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.exporter_company_name_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="contact_mobile_no"><?php echo e(trans('cruds.user.fields.contact_mobile_no')); ?></label>
                <input class="form-control <?php echo e($errors->has('contact_mobile_no') ? 'is-invalid' : ''); ?>" type="text" name="contact_mobile_no" id="contact_mobile_no" value="<?php echo e(old('contact_mobile_no', $user->contact_mobile_no)); ?>" required>
                <?php if($errors->has('contact_mobile_no')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('contact_mobile_no')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.contact_mobile_no_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="gst_number"><?php echo e(trans('cruds.user.fields.gst_number')); ?></label>
                <input class="form-control <?php echo e($errors->has('gst_number') ? 'is-invalid' : ''); ?>" type="text" name="gst_number" id="gst_number" value="<?php echo e(old('gst_number', $user->gst_number)); ?>">
                <?php if($errors->has('gst_number')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('gst_number')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.gst_number_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="pan_number"><?php echo e(trans('cruds.user.fields.pan_number')); ?></label>
                <input class="form-control <?php echo e($errors->has('pan_number') ? 'is-invalid' : ''); ?>" type="text" name="pan_number" id="pan_number" value="<?php echo e(old('pan_number', $user->pan_number)); ?>">
                <?php if($errors->has('pan_number')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('pan_number')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.pan_number_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="address"><?php echo e(trans('cruds.user.fields.address')); ?></label>
                <textarea class="form-control <?php echo e($errors->has('address') ? 'is-invalid' : ''); ?>" name="address" id="address" required><?php echo e(old('address', $user->address)); ?></textarea>
                <?php if($errors->has('address')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('address')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.address_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="postal_code"><?php echo e(trans('cruds.user.fields.postal_code')); ?></label>
                <input class="form-control <?php echo e($errors->has('postal_code') ? 'is-invalid' : ''); ?>" type="text" name="postal_code" id="postal_code" value="<?php echo e(old('postal_code', $user->postal_code)); ?>">
                <?php if($errors->has('postal_code')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('postal_code')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.postal_code_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="self_sealing_approval_no"><?php echo e(trans('cruds.user.fields.self_sealing_approval_no')); ?></label>
                <input class="form-control <?php echo e($errors->has('self_sealing_approval_no') ? 'is-invalid' : ''); ?>" type="text" name="self_sealing_approval_no" id="self_sealing_approval_no" value="<?php echo e(old('self_sealing_approval_no', $user->self_sealing_approval_no)); ?>" required>
                <?php if($errors->has('self_sealing_approval_no')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('self_sealing_approval_no')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.self_sealing_approval_no_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="self_sealing_approval_date"><?php echo e(trans('cruds.user.fields.self_sealing_approval_date')); ?></label>
                <input class="form-control <?php echo e($errors->has('self_sealing_approval_date') ? 'is-invalid' : ''); ?>" type="text" name="self_sealing_approval_date" id="self_sealing_approval_date" value="<?php echo e(old('self_sealing_approval_date', $user->self_sealing_approval_date)); ?>" required>
                <?php if($errors->has('self_sealing_approval_date')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('self_sealing_approval_date')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.self_sealing_approval_date_helper')); ?></span>
            </div>
            <div class="form-group">
                <label class="required" for="self_sealing_approved_by"><?php echo e(trans('cruds.user.fields.self_sealing_approved_by')); ?></label>
                <input class="form-control <?php echo e($errors->has('self_sealing_approved_by') ? 'is-invalid' : ''); ?>" type="text" name="self_sealing_approved_by" id="self_sealing_approved_by" value="<?php echo e(old('self_sealing_approved_by', $user->self_sealing_approved_by)); ?>" required>
                <?php if($errors->has('self_sealing_approved_by')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('self_sealing_approved_by')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.self_sealing_approved_by_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="state_id"><?php echo e(trans('cruds.user.fields.state')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('state') ? 'is-invalid' : ''); ?>" name="state_id" id="state_id">
                    <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e((old('state_id') ? old('state_id') : $user->state->id ?? '') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('state')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('state')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.state_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="city_id"><?php echo e(trans('cruds.user.fields.city')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('city') ? 'is-invalid' : ''); ?>" name="city_id" id="city_id">
                    <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e((old('city_id') ? old('city_id') : $user->city->id ?? '') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('city')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('city')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.city_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="commissionerate_address"><?php echo e(trans('cruds.user.fields.commissionerate_address')); ?></label>
                <textarea class="form-control <?php echo e($errors->has('commissionerate_address') ? 'is-invalid' : ''); ?>" name="commissionerate_address" id="commissionerate_address"><?php echo e(old('commissionerate_address', $user->commissionerate_address)); ?></textarea>
                <?php if($errors->has('commissionerate_address')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('commissionerate_address')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.commissionerate_address_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="gst"><?php echo e(trans('cruds.user.fields.gst')); ?></label>
                <div class="needsclick dropzone <?php echo e($errors->has('gst') ? 'is-invalid' : ''); ?>" id="gst-dropzone">
                </div>
                <?php if($errors->has('gst')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('gst')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.gst_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="iec"><?php echo e(trans('cruds.user.fields.iec')); ?></label>
                <div class="needsclick dropzone <?php echo e($errors->has('iec') ? 'is-invalid' : ''); ?>" id="iec-dropzone">
                </div>
                <?php if($errors->has('iec')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('iec')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.iec_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="pan"><?php echo e(trans('cruds.user.fields.pan')); ?></label>
                <div class="needsclick dropzone <?php echo e($errors->has('pan') ? 'is-invalid' : ''); ?>" id="pan-dropzone">
                </div>
                <?php if($errors->has('pan')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('pan')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.pan_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="cancelled_cheque"><?php echo e(trans('cruds.user.fields.cancelled_cheque')); ?></label>
                <div class="needsclick dropzone <?php echo e($errors->has('cancelled_cheque') ? 'is-invalid' : ''); ?>" id="cancelled_cheque-dropzone">
                </div>
                <?php if($errors->has('cancelled_cheque')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('cancelled_cheque')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.cancelled_cheque_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="self_certification"><?php echo e(trans('cruds.user.fields.self_certification')); ?></label>
                <div class="needsclick dropzone <?php echo e($errors->has('self_certification') ? 'is-invalid' : ''); ?>" id="self_certification-dropzone">
                </div>
                <?php if($errors->has('self_certification')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('self_certification')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.self_certification_helper')); ?></span>
            </div>
            <?php
            }
            ?>
            <div class="form-group">
                <label for="branch_id"><?php echo e(trans('cruds.user.fields.branch')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('branch') ? 'is-invalid' : ''); ?>" name="branch_id" id="branch_id">
                    <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e((old('branch_id') ? old('branch_id') : $user->branch->id ?? '') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('branch')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('branch')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.branch_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="team_id"><?php echo e(trans('cruds.user.fields.team')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('team') ? 'is-invalid' : ''); ?>" name="team_id" id="team_id">
                    <?php $__currentLoopData = $teams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e((old('team_id') ? old('team_id') : $user->team->id ?? '') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('team')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('team')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.user.fields.team_helper')); ?></span>
            </div>
            <input type="hidden" name="roles[]" value="4">
            <input type="hidden" name="exporter_id" value="<?php echo e($userId); ?>">
            <input type="hidden" name="exporter_company_name" value="NULL">
            <input type="hidden" name="contact_mobile_no" value="NULL">
            <input type="hidden" name="address" value="NULL">
            <input type="hidden" name="self_sealing_approval_no" value="NULL">
            <input type="hidden" name="self_sealing_approval_date" value="2021-09-28">
            <input type="hidden" name="self_sealing_approved_by" value="NULL">
            <input type="hidden" name="import_export_code" value="NULL">
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    <?php echo e(trans('global.save')); ?>

                </button>
            </div>
        </form>
    </div>
</div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    Dropzone.options.gstDropzone = {
    url: '<?php echo e(route('admin.users.storeMedia')); ?>',
    maxFilesize: 2, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>"
    },
    params: {
      size: 2
    },
    success: function (file, response) {
      $('form').find('input[name="gst"]').remove()
      $('form').append('<input type="hidden" name="gst" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="gst"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
<?php if(isset($user) && $user->gst): ?>
      var file = <?php echo json_encode($user->gst); ?>

          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="gst" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
<?php endif; ?>
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.iecDropzone = {
    url: '<?php echo e(route('admin.users.storeMedia')); ?>',
    maxFilesize: 2, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>"
    },
    params: {
      size: 2
    },
    success: function (file, response) {
      $('form').find('input[name="iec"]').remove()
      $('form').append('<input type="hidden" name="iec" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="iec"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
<?php if(isset($user) && $user->iec): ?>
      var file = <?php echo json_encode($user->iec); ?>

          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="iec" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
<?php endif; ?>
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.panDropzone = {
    url: '<?php echo e(route('admin.users.storeMedia')); ?>',
    maxFilesize: 2, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>"
    },
    params: {
      size: 2
    },
    success: function (file, response) {
      $('form').find('input[name="pan"]').remove()
      $('form').append('<input type="hidden" name="pan" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="pan"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
<?php if(isset($user) && $user->pan): ?>
      var file = <?php echo json_encode($user->pan); ?>

          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="pan" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
<?php endif; ?>
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.cancelledChequeDropzone = {
    url: '<?php echo e(route('admin.users.storeMedia')); ?>',
    maxFilesize: 2, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>"
    },
    params: {
      size: 2
    },
    success: function (file, response) {
      $('form').find('input[name="cancelled_cheque"]').remove()
      $('form').append('<input type="hidden" name="cancelled_cheque" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="cancelled_cheque"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
<?php if(isset($user) && $user->cancelled_cheque): ?>
      var file = <?php echo json_encode($user->cancelled_cheque); ?>

          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="cancelled_cheque" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
<?php endif; ?>
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.selfCertificationDropzone = {
    url: '<?php echo e(route('admin.users.storeMedia')); ?>',
    maxFilesize: 2, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>"
    },
    params: {
      size: 2
    },
    success: function (file, response) {
      $('form').find('input[name="self_certification"]').remove()
      $('form').append('<input type="hidden" name="self_certification" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="self_certification"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
<?php if(isset($user) && $user->self_certification): ?>
      var file = <?php echo json_encode($user->self_certification); ?>

          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="self_certification" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
<?php endif; ?>
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\havishhh\resources\views/admin/users/edit.blade.php ENDPATH**/ ?>